Quattro9GraphInternal::Graph Struct Reference documentation

Quattro9GraphInternal::Graph Struct Reference

Internal: a graph of a QuattroGraph. More...

## Public Types
enum | Type { Button , Chart , Frame , OLE , Image , Shape , Textbox , Unknown }
| the posible type More...

## Public Member Functions
| Graph (std::shared_ptr< WPSStream > const &stream, Type type=Unknown)
| constructor

## Public Attributes
Type | m_type
| the type
Vec2f | m_size
| the size
WPSBox2i | m_cellBox
| the cell's position
WPSBox2f | m_cellBoxDecal
| the decal position(LT, RB)
librevenge::RVNGString | m_OLEName
| the OLE name
std::shared_ptr< Quattro9GraphInternal::Shape > | m_shape
| the graphic shape
std::shared_ptr< Quattro9GraphInternal::Textbox > | m_textbox
| the textbox shape
std::shared_ptr< WPSStream > | m_stream
| the main stream

## Friends
std::ostream & | operator<< (std::ostream &o, Graph const &gr)
| operator<<

## Detailed Description

Internal: a graph of a QuattroGraph.

## Member Enumeration Documentation

## ◆ Type

enum Quattro9GraphInternal::Graph::Type

the posible type

Enumerator
Button |
Chart |
Frame |
OLE |
Image |
Shape |
Textbox |
Unknown |

## Constructor & Destructor Documentation

## ◆ Graph()

Quattro9GraphInternal::Graph::Graph | ( | std::shared_ptr< WPSStream > const & | stream,
|  | Type | type = Unknown )
| inlineexplicit

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Graph const & | gr )
| friend

operator<<

## Member Data Documentation

## ◆ m_cellBox

WPSBox2i Quattro9GraphInternal::Graph::m_cellBox

the cell's position

Referenced by Graph(), operator<<, Quattro9Graph::sendOLE(), Quattro9Graph::sendShape(), and Quattro9Graph::sendTextbox().

## ◆ m_cellBoxDecal

WPSBox2f Quattro9GraphInternal::Graph::m_cellBoxDecal

the decal position(LT, RB)

Referenced by Graph(), operator<<, Quattro9Graph::sendOLE(), Quattro9Graph::sendShape(), and Quattro9Graph::sendTextbox().

## ◆ m_OLEName

librevenge::RVNGString Quattro9GraphInternal::Graph::m_OLEName

the OLE name

Referenced by Graph(), and Quattro9Graph::sendOLE().

## ◆ m_shape

std::shared_ptr<Quattro9GraphInternal::Shape> Quattro9GraphInternal::Graph::m_shape

the graphic shape

Referenced by Graph(), and Quattro9Graph::sendShape().

## ◆ m_size

Vec2f Quattro9GraphInternal::Graph::m_size

the size

Referenced by Graph(), operator<<, Quattro9Graph::sendOLE(), Quattro9Graph::sendShape(), and Quattro9Graph::sendTextbox().

## ◆ m_stream

std::shared_ptr<WPSStream> Quattro9GraphInternal::Graph::m_stream

the main stream

Referenced by Graph().

## ◆ m_textbox

std::shared_ptr<Quattro9GraphInternal::Textbox> Quattro9GraphInternal::Graph::m_textbox

the textbox shape

Referenced by Graph(), and Quattro9Graph::sendTextbox().

## ◆ m_type

Type Quattro9GraphInternal::Graph::m_type

the type

Referenced by Graph(), Quattro9Graph::sendOLE(), Quattro9Graph::sendShape(), and Quattro9Graph::sendTextbox().

The documentation for this struct was generated from the following file:

- Quattro9Graph.cpp